---
title: Get Silence
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Alerting](https://developers.cloudflare.com/api/python/resources/alerting)

[Silences](https://developers.cloudflare.com/api/python/resources/alerting/subresources/silences)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Silence

alerting.silences.get(strsilence\_id, SilenceGetParams\*\*kwargs) -> [SilenceGetResponse](<https://developers.cloudflare.com/api/python/resources/alerting#(resource)%20alerting.silences%20%3E%20(model)%20silence_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/alerting/v3/silences/{silence\_id}

Gets a specific silence for an account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zero Trust: PII Read``Notifications Write``Notifications Read``Account Settings Write``Account Settings Read`

##### ParametersExpand Collapse

account\_id: str

The account id

maxLength32

[Link to this property](<#(resource)%20alerting.silences%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

silence\_id: str

Silence ID

maxLength32

[Link to this property](<#(resource)%20alerting.silences%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20silence_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SilenceGetResponse: …

</summary>

id: Optional\[str]

Silence ID

maxLength32

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_at: Optional\[str]

When the silence was created.

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_get_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

end\_time: Optional\[str]

When the silence ends.

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_get_response%20%3E%20(schema)%20%3E%20(property)%20end_time">Link to this property</a>

policy\_id: Optional\[str]

The unique identifier of a notification policy

maxLength32

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_get_response%20%3E%20(schema)%20%3E%20(property)%20policy_id">Link to this property</a>

start\_time: Optional\[str]

When the silence starts.

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_get_response%20%3E%20(schema)%20%3E%20(property)%20start_time">Link to this property</a>

updated\_at: Optional\[str]

When the silence was modified.

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_get_response%20%3E%20(schema)%20%3E%20(property)%20updated_at">Link to this property</a>

</details>

[Link to this property](<#(resource)%20alerting.silences%20%3E%20(model)%20silence_get_response%20%3E%20(schema)>)

### Get Silence

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
silence = client.alerting.silences.get(
    silence_id="f878e90c23f44126ae3cfc399f646977",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(silence.id)
```

200 example

```
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "id": "f878e90c23f44126ae3cfc399f646977",
    "created_at": "2022-01-01T00:00:00Z",
    "end_time": "2022-01-01T00:00:00Z",
    "policy_id": "0da2b59ef118439d8097bdfb215203c9",
    "start_time": "2022-01-01T00:00:00Z",
    "updated_at": "2022-01-01T00:00:00Z"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": {
    "id": "f878e90c23f44126ae3cfc399f646977",
    "created_at": "2022-01-01T00:00:00Z",
    "end_time": "2022-01-01T00:00:00Z",
    "policy_id": "0da2b59ef118439d8097bdfb215203c9",
    "start_time": "2022-01-01T00:00:00Z",
    "updated_at": "2022-01-01T00:00:00Z"
  }
}
```